/**
 * generated by Xtext 2.16.0
 */
package org.xtext.ungs.drake.drake;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.xtext.ungs.drake.drake.DrakeFactory
 * @model kind="package"
 * @generated
 */
public interface DrakePackage extends EPackage
{
  /**
   * The package name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNAME = "drake";

  /**
   * The package namespace URI.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_URI = "http://www.xtext.org/ungs/drake/Drake";

  /**
   * The package namespace name.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  String eNS_PREFIX = "drake";

  /**
   * The singleton instance of the package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  DrakePackage eINSTANCE = org.xtext.ungs.drake.drake.impl.DrakePackageImpl.init();

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.ModelImpl <em>Model</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.ModelImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getModel()
   * @generated
   */
  int MODEL = 0;

  /**
   * The feature id for the '<em><b>Formulation</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL__FORMULATION = 0;

  /**
   * The number of structural features of the '<em>Model</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int MODEL_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.FormulationImpl <em>Formulation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.FormulationImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getFormulation()
   * @generated
   */
  int FORMULATION = 1;

  /**
   * The feature id for the '<em><b>Definitions</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FORMULATION__DEFINITIONS = 0;

  /**
   * The feature id for the '<em><b>Function</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FORMULATION__FUNCTION = 1;

  /**
   * The feature id for the '<em><b>Expression</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FORMULATION__EXPRESSION = 2;

  /**
   * The feature id for the '<em><b>Inequation</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FORMULATION__INEQUATION = 3;

  /**
   * The number of structural features of the '<em>Formulation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FORMULATION_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.LinearInequationImpl <em>Linear Inequation</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.LinearInequationImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getLinearInequation()
   * @generated
   */
  int LINEAR_INEQUATION = 2;

  /**
   * The feature id for the '<em><b>Linear Expression</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_INEQUATION__LINEAR_EXPRESSION = 0;

  /**
   * The feature id for the '<em><b>Simbol</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_INEQUATION__SIMBOL = 1;

  /**
   * The feature id for the '<em><b>Var Inequality</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_INEQUATION__VAR_INEQUALITY = 2;

  /**
   * The feature id for the '<em><b>Int Inequality</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_INEQUATION__INT_INEQUALITY = 3;

  /**
   * The number of structural features of the '<em>Linear Inequation</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_INEQUATION_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.LinearExpressionImpl <em>Linear Expression</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.LinearExpressionImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getLinearExpression()
   * @generated
   */
  int LINEAR_EXPRESSION = 3;

  /**
   * The feature id for the '<em><b>Factor</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_EXPRESSION__FACTOR = 0;

  /**
   * The feature id for the '<em><b>Simbol</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_EXPRESSION__SIMBOL = 1;

  /**
   * The feature id for the '<em><b>Expression</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_EXPRESSION__EXPRESSION = 2;

  /**
   * The feature id for the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_EXPRESSION__VALUE = 3;

  /**
   * The number of structural features of the '<em>Linear Expression</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int LINEAR_EXPRESSION_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.FactorImpl <em>Factor</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.FactorImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getFactor()
   * @generated
   */
  int FACTOR = 4;

  /**
   * The feature id for the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FACTOR__VALUE = 0;

  /**
   * The feature id for the '<em><b>Simbolo</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FACTOR__SIMBOLO = 1;

  /**
   * The feature id for the '<em><b>Variable</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FACTOR__VARIABLE = 2;

  /**
   * The number of structural features of the '<em>Factor</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int FACTOR_FEATURE_COUNT = 3;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.SetImpl <em>Set</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.SetImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getSet()
   * @generated
   */
  int SET = 5;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SET__NAME = 0;

  /**
   * The feature id for the '<em><b>Elements</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SET__ELEMENTS = 1;

  /**
   * The feature id for the '<em><b>Lower Bound</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SET__LOWER_BOUND = 2;

  /**
   * The feature id for the '<em><b>Upper Bound</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SET__UPPER_BOUND = 3;

  /**
   * The number of structural features of the '<em>Set</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int SET_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.TupleImpl <em>Tuple</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.TupleImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getTuple()
   * @generated
   */
  int TUPLE = 6;

  /**
   * The feature id for the '<em><b>Elements</b></em>' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TUPLE__ELEMENTS = 0;

  /**
   * The number of structural features of the '<em>Tuple</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int TUPLE_FEATURE_COUNT = 1;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.ElementImpl <em>Element</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.ElementImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getElement()
   * @generated
   */
  int ELEMENT = 7;

  /**
   * The feature id for the '<em><b>Value</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ELEMENT__VALUE = 0;

  /**
   * The feature id for the '<em><b>String</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ELEMENT__STRING = 1;

  /**
   * The feature id for the '<em><b>Variable</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ELEMENT__VARIABLE = 2;

  /**
   * The feature id for the '<em><b>Tuple</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ELEMENT__TUPLE = 3;

  /**
   * The number of structural features of the '<em>Element</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int ELEMENT_FEATURE_COUNT = 4;

  /**
   * The meta object id for the '{@link org.xtext.ungs.drake.drake.impl.VariableImpl <em>Variable</em>}' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see org.xtext.ungs.drake.drake.impl.VariableImpl
   * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getVariable()
   * @generated
   */
  int VARIABLE = 8;

  /**
   * The feature id for the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VARIABLE__NAME = 0;

  /**
   * The feature id for the '<em><b>Index</b></em>' attribute list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VARIABLE__INDEX = 1;

  /**
   * The number of structural features of the '<em>Variable</em>' class.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   * @ordered
   */
  int VARIABLE_FEATURE_COUNT = 2;


  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Model <em>Model</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Model</em>'.
   * @see org.xtext.ungs.drake.drake.Model
   * @generated
   */
  EClass getModel();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.ungs.drake.drake.Model#getFormulation <em>Formulation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Formulation</em>'.
   * @see org.xtext.ungs.drake.drake.Model#getFormulation()
   * @see #getModel()
   * @generated
   */
  EReference getModel_Formulation();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Formulation <em>Formulation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Formulation</em>'.
   * @see org.xtext.ungs.drake.drake.Formulation
   * @generated
   */
  EClass getFormulation();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.ungs.drake.drake.Formulation#getDefinitions <em>Definitions</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Definitions</em>'.
   * @see org.xtext.ungs.drake.drake.Formulation#getDefinitions()
   * @see #getFormulation()
   * @generated
   */
  EReference getFormulation_Definitions();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Formulation#getFunction <em>Function</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Function</em>'.
   * @see org.xtext.ungs.drake.drake.Formulation#getFunction()
   * @see #getFormulation()
   * @generated
   */
  EAttribute getFormulation_Function();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.Formulation#getExpression <em>Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Expression</em>'.
   * @see org.xtext.ungs.drake.drake.Formulation#getExpression()
   * @see #getFormulation()
   * @generated
   */
  EReference getFormulation_Expression();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.ungs.drake.drake.Formulation#getInequation <em>Inequation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Inequation</em>'.
   * @see org.xtext.ungs.drake.drake.Formulation#getInequation()
   * @see #getFormulation()
   * @generated
   */
  EReference getFormulation_Inequation();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.LinearInequation <em>Linear Inequation</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Linear Inequation</em>'.
   * @see org.xtext.ungs.drake.drake.LinearInequation
   * @generated
   */
  EClass getLinearInequation();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.LinearInequation#getLinearExpression <em>Linear Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Linear Expression</em>'.
   * @see org.xtext.ungs.drake.drake.LinearInequation#getLinearExpression()
   * @see #getLinearInequation()
   * @generated
   */
  EReference getLinearInequation_LinearExpression();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.LinearInequation#getSimbol <em>Simbol</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Simbol</em>'.
   * @see org.xtext.ungs.drake.drake.LinearInequation#getSimbol()
   * @see #getLinearInequation()
   * @generated
   */
  EAttribute getLinearInequation_Simbol();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.LinearInequation#getVarInequality <em>Var Inequality</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Var Inequality</em>'.
   * @see org.xtext.ungs.drake.drake.LinearInequation#getVarInequality()
   * @see #getLinearInequation()
   * @generated
   */
  EReference getLinearInequation_VarInequality();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.LinearInequation#getIntInequality <em>Int Inequality</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Int Inequality</em>'.
   * @see org.xtext.ungs.drake.drake.LinearInequation#getIntInequality()
   * @see #getLinearInequation()
   * @generated
   */
  EAttribute getLinearInequation_IntInequality();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.LinearExpression <em>Linear Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Linear Expression</em>'.
   * @see org.xtext.ungs.drake.drake.LinearExpression
   * @generated
   */
  EClass getLinearExpression();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.LinearExpression#getFactor <em>Factor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Factor</em>'.
   * @see org.xtext.ungs.drake.drake.LinearExpression#getFactor()
   * @see #getLinearExpression()
   * @generated
   */
  EReference getLinearExpression_Factor();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.LinearExpression#getSimbol <em>Simbol</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Simbol</em>'.
   * @see org.xtext.ungs.drake.drake.LinearExpression#getSimbol()
   * @see #getLinearExpression()
   * @generated
   */
  EAttribute getLinearExpression_Simbol();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.LinearExpression#getExpression <em>Expression</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Expression</em>'.
   * @see org.xtext.ungs.drake.drake.LinearExpression#getExpression()
   * @see #getLinearExpression()
   * @generated
   */
  EReference getLinearExpression_Expression();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.LinearExpression#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Value</em>'.
   * @see org.xtext.ungs.drake.drake.LinearExpression#getValue()
   * @see #getLinearExpression()
   * @generated
   */
  EAttribute getLinearExpression_Value();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Factor <em>Factor</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Factor</em>'.
   * @see org.xtext.ungs.drake.drake.Factor
   * @generated
   */
  EClass getFactor();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Factor#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Value</em>'.
   * @see org.xtext.ungs.drake.drake.Factor#getValue()
   * @see #getFactor()
   * @generated
   */
  EAttribute getFactor_Value();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Factor#getSimbolo <em>Simbolo</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Simbolo</em>'.
   * @see org.xtext.ungs.drake.drake.Factor#getSimbolo()
   * @see #getFactor()
   * @generated
   */
  EAttribute getFactor_Simbolo();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.Factor#getVariable <em>Variable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Variable</em>'.
   * @see org.xtext.ungs.drake.drake.Factor#getVariable()
   * @see #getFactor()
   * @generated
   */
  EReference getFactor_Variable();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Set <em>Set</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Set</em>'.
   * @see org.xtext.ungs.drake.drake.Set
   * @generated
   */
  EClass getSet();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Set#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.xtext.ungs.drake.drake.Set#getName()
   * @see #getSet()
   * @generated
   */
  EAttribute getSet_Name();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.ungs.drake.drake.Set#getElements <em>Elements</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Elements</em>'.
   * @see org.xtext.ungs.drake.drake.Set#getElements()
   * @see #getSet()
   * @generated
   */
  EReference getSet_Elements();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Set#getLowerBound <em>Lower Bound</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Lower Bound</em>'.
   * @see org.xtext.ungs.drake.drake.Set#getLowerBound()
   * @see #getSet()
   * @generated
   */
  EAttribute getSet_LowerBound();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Set#getUpperBound <em>Upper Bound</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Upper Bound</em>'.
   * @see org.xtext.ungs.drake.drake.Set#getUpperBound()
   * @see #getSet()
   * @generated
   */
  EAttribute getSet_UpperBound();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Tuple <em>Tuple</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Tuple</em>'.
   * @see org.xtext.ungs.drake.drake.Tuple
   * @generated
   */
  EClass getTuple();

  /**
   * Returns the meta object for the containment reference list '{@link org.xtext.ungs.drake.drake.Tuple#getElements <em>Elements</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference list '<em>Elements</em>'.
   * @see org.xtext.ungs.drake.drake.Tuple#getElements()
   * @see #getTuple()
   * @generated
   */
  EReference getTuple_Elements();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Element <em>Element</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Element</em>'.
   * @see org.xtext.ungs.drake.drake.Element
   * @generated
   */
  EClass getElement();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Element#getValue <em>Value</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Value</em>'.
   * @see org.xtext.ungs.drake.drake.Element#getValue()
   * @see #getElement()
   * @generated
   */
  EAttribute getElement_Value();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Element#getString <em>String</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>String</em>'.
   * @see org.xtext.ungs.drake.drake.Element#getString()
   * @see #getElement()
   * @generated
   */
  EAttribute getElement_String();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.Element#getVariable <em>Variable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Variable</em>'.
   * @see org.xtext.ungs.drake.drake.Element#getVariable()
   * @see #getElement()
   * @generated
   */
  EReference getElement_Variable();

  /**
   * Returns the meta object for the containment reference '{@link org.xtext.ungs.drake.drake.Element#getTuple <em>Tuple</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the containment reference '<em>Tuple</em>'.
   * @see org.xtext.ungs.drake.drake.Element#getTuple()
   * @see #getElement()
   * @generated
   */
  EReference getElement_Tuple();

  /**
   * Returns the meta object for class '{@link org.xtext.ungs.drake.drake.Variable <em>Variable</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for class '<em>Variable</em>'.
   * @see org.xtext.ungs.drake.drake.Variable
   * @generated
   */
  EClass getVariable();

  /**
   * Returns the meta object for the attribute '{@link org.xtext.ungs.drake.drake.Variable#getName <em>Name</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute '<em>Name</em>'.
   * @see org.xtext.ungs.drake.drake.Variable#getName()
   * @see #getVariable()
   * @generated
   */
  EAttribute getVariable_Name();

  /**
   * Returns the meta object for the attribute list '{@link org.xtext.ungs.drake.drake.Variable#getIndex <em>Index</em>}'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the meta object for the attribute list '<em>Index</em>'.
   * @see org.xtext.ungs.drake.drake.Variable#getIndex()
   * @see #getVariable()
   * @generated
   */
  EAttribute getVariable_Index();

  /**
   * Returns the factory that creates the instances of the model.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the factory that creates the instances of the model.
   * @generated
   */
  DrakeFactory getDrakeFactory();

  /**
   * <!-- begin-user-doc -->
   * Defines literals for the meta objects that represent
   * <ul>
   *   <li>each class,</li>
   *   <li>each feature of each class,</li>
   *   <li>each enum,</li>
   *   <li>and each data type</li>
   * </ul>
   * <!-- end-user-doc -->
   * @generated
   */
  interface Literals
  {
    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.ModelImpl <em>Model</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.ModelImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getModel()
     * @generated
     */
    EClass MODEL = eINSTANCE.getModel();

    /**
     * The meta object literal for the '<em><b>Formulation</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference MODEL__FORMULATION = eINSTANCE.getModel_Formulation();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.FormulationImpl <em>Formulation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.FormulationImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getFormulation()
     * @generated
     */
    EClass FORMULATION = eINSTANCE.getFormulation();

    /**
     * The meta object literal for the '<em><b>Definitions</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FORMULATION__DEFINITIONS = eINSTANCE.getFormulation_Definitions();

    /**
     * The meta object literal for the '<em><b>Function</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FORMULATION__FUNCTION = eINSTANCE.getFormulation_Function();

    /**
     * The meta object literal for the '<em><b>Expression</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FORMULATION__EXPRESSION = eINSTANCE.getFormulation_Expression();

    /**
     * The meta object literal for the '<em><b>Inequation</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FORMULATION__INEQUATION = eINSTANCE.getFormulation_Inequation();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.LinearInequationImpl <em>Linear Inequation</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.LinearInequationImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getLinearInequation()
     * @generated
     */
    EClass LINEAR_INEQUATION = eINSTANCE.getLinearInequation();

    /**
     * The meta object literal for the '<em><b>Linear Expression</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference LINEAR_INEQUATION__LINEAR_EXPRESSION = eINSTANCE.getLinearInequation_LinearExpression();

    /**
     * The meta object literal for the '<em><b>Simbol</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LINEAR_INEQUATION__SIMBOL = eINSTANCE.getLinearInequation_Simbol();

    /**
     * The meta object literal for the '<em><b>Var Inequality</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference LINEAR_INEQUATION__VAR_INEQUALITY = eINSTANCE.getLinearInequation_VarInequality();

    /**
     * The meta object literal for the '<em><b>Int Inequality</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LINEAR_INEQUATION__INT_INEQUALITY = eINSTANCE.getLinearInequation_IntInequality();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.LinearExpressionImpl <em>Linear Expression</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.LinearExpressionImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getLinearExpression()
     * @generated
     */
    EClass LINEAR_EXPRESSION = eINSTANCE.getLinearExpression();

    /**
     * The meta object literal for the '<em><b>Factor</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference LINEAR_EXPRESSION__FACTOR = eINSTANCE.getLinearExpression_Factor();

    /**
     * The meta object literal for the '<em><b>Simbol</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LINEAR_EXPRESSION__SIMBOL = eINSTANCE.getLinearExpression_Simbol();

    /**
     * The meta object literal for the '<em><b>Expression</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference LINEAR_EXPRESSION__EXPRESSION = eINSTANCE.getLinearExpression_Expression();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute LINEAR_EXPRESSION__VALUE = eINSTANCE.getLinearExpression_Value();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.FactorImpl <em>Factor</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.FactorImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getFactor()
     * @generated
     */
    EClass FACTOR = eINSTANCE.getFactor();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FACTOR__VALUE = eINSTANCE.getFactor_Value();

    /**
     * The meta object literal for the '<em><b>Simbolo</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute FACTOR__SIMBOLO = eINSTANCE.getFactor_Simbolo();

    /**
     * The meta object literal for the '<em><b>Variable</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference FACTOR__VARIABLE = eINSTANCE.getFactor_Variable();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.SetImpl <em>Set</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.SetImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getSet()
     * @generated
     */
    EClass SET = eINSTANCE.getSet();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SET__NAME = eINSTANCE.getSet_Name();

    /**
     * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference SET__ELEMENTS = eINSTANCE.getSet_Elements();

    /**
     * The meta object literal for the '<em><b>Lower Bound</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SET__LOWER_BOUND = eINSTANCE.getSet_LowerBound();

    /**
     * The meta object literal for the '<em><b>Upper Bound</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute SET__UPPER_BOUND = eINSTANCE.getSet_UpperBound();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.TupleImpl <em>Tuple</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.TupleImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getTuple()
     * @generated
     */
    EClass TUPLE = eINSTANCE.getTuple();

    /**
     * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference TUPLE__ELEMENTS = eINSTANCE.getTuple_Elements();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.ElementImpl <em>Element</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.ElementImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getElement()
     * @generated
     */
    EClass ELEMENT = eINSTANCE.getElement();

    /**
     * The meta object literal for the '<em><b>Value</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ELEMENT__VALUE = eINSTANCE.getElement_Value();

    /**
     * The meta object literal for the '<em><b>String</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute ELEMENT__STRING = eINSTANCE.getElement_String();

    /**
     * The meta object literal for the '<em><b>Variable</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ELEMENT__VARIABLE = eINSTANCE.getElement_Variable();

    /**
     * The meta object literal for the '<em><b>Tuple</b></em>' containment reference feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EReference ELEMENT__TUPLE = eINSTANCE.getElement_Tuple();

    /**
     * The meta object literal for the '{@link org.xtext.ungs.drake.drake.impl.VariableImpl <em>Variable</em>}' class.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @see org.xtext.ungs.drake.drake.impl.VariableImpl
     * @see org.xtext.ungs.drake.drake.impl.DrakePackageImpl#getVariable()
     * @generated
     */
    EClass VARIABLE = eINSTANCE.getVariable();

    /**
     * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VARIABLE__NAME = eINSTANCE.getVariable_Name();

    /**
     * The meta object literal for the '<em><b>Index</b></em>' attribute list feature.
     * <!-- begin-user-doc -->
     * <!-- end-user-doc -->
     * @generated
     */
    EAttribute VARIABLE__INDEX = eINSTANCE.getVariable_Index();

  }

} //DrakePackage
